# Afterhours `GET` `https://api.unusualwhales.com/api/earnings/afterhours` Returns the afterhours earnings for a given date. If you are looking to scan for extreme IV term steepness before earnings use https://unusualwhales.com/skills/uw-earnings-vol-scan-skill.md ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `limit` | Default 50 Max 100 Min 1 | No | How many items to return. Default: 50. Max: 100. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `actual_eps` | Actual EPS | | | `continent` | Continent | | | `country_code` | Country Code | | | `country_name` | Country Name | | | `ending_fiscal_quarter` | General ISO Date | An ISO date. | | `expected_move` | Expected Move | The expected earnings move in $. | | `expected_move_perc` | Expected Move Perc | The expected earnings move in %. | | `full_name` | Full Name | | | `has_options` | Has Options | Whether the company has options available for trading | | `is_s_p_500` | Is Part of the S&P 500 | | | `marketcap` | Marketcap | | | `post_earnings_close` | Stock Close Price | The close stock price of the ticker. | | `post_earnings_date` | General ISO Date | An ISO date. | | `pre_earnings_close` | Stock Close Price | The close stock price of the ticker. | | `pre_earnings_date` | General ISO Date | An ISO date. | | `reaction` | Reaction | The 1D % stock move after the earnings report. | | `report_date` | General ISO Date | An ISO date. | | `report_time` | Report Time | The earnings report time. Possible values include: premarket, postmarket and unknown | | `sector` | Sector | A financial sector. | | `source` | Source | The source of the report date. Either the report date comes from the company or it is an estimation. Possible values: company, estimation. | | `street_mean_est` | Street Mean Est | The Street mean EPS estimates. | | `symbol` | Ticker Symbol | | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/earnings/afterhours" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/earnings/afterhours", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "actual_eps": "2.45", "continent": "North America", "country_code": "US", "country_name": "UNITED STATES", "ending_fiscal_quarter": "2022-12-31", "expected_move": "9.91", "expected_move_perc": "0.0359", "full_name": "INVENTRUST PROPERTIES", "has_options": true, "is_s_p_500": false, "marketcap": "1649115201", "post_earnings_close": "148.42", "post_earnings_date": "2023-02-14", "pre_earnings_close": "143.23", "pre_earnings_date": "2023-02-13", "reaction": "0.041", "report_date": "2023-02-14", "report_time": "postmarket", "sector": "Real Estate", "source": "company", "street_mean_est": "2.25", "symbol": "IVT" }, { "actual_eps": "2.45", "continent": "Europe", "country_code": "LU", "country_name": "LUXEMBOURG", "ending_fiscal_quarter": "2022-12-31", "expected_move": "9.91", "expected_move_perc": "0.0359", "full_name": "TERNIUM SA", "has_options": true, "is_s_p_500": false, "marketcap": "7375279462", "post_earnings_close": "148.42", "post_earnings_date": "2023-02-14", "pre_earnings_close": "143.23", "pre_earnings_date": "2023-02-13", "reaction": "0.041", "report_date": "2023-02-14", "report_time": "postmarket", "sector": "Basic Materials", "source": "company", "street_mean_est": "2.25", "symbol": "TX" } ] } ```